using System.Collections.Generic;

public class CardFilterKeyWordMaster
{
	private Dictionary<string, List<string>> _allData = new Dictionary<string, List<string>>();

	public List<string> CategoryList { get; private set; }

	public CardFilterKeyWordMaster()
	{
		CategoryList = new List<string>();
	}

	public void Add(string[] line)
	{
		string item = line[0];
		string text = line[1];
		if (!CategoryList.Contains(text))
		{
			CategoryList.Add(text);
			_allData[text] = new List<string>();
		}
		_allData[text].Add(item);
	}

	public List<string> GetCategory(string category)
	{
		return _allData[category];
	}
}
